function obj = objfunc_SMM(theta,simfunc,other,momfunc,y,W)

% Function to compute the SMM objective function



ytilde = feval(simfunc,theta,other);  % simulating data from the copula model at the proposed parameter value

mhat   = feval(momfunc,y);  % the vector moments on the original data
mtilde = feval(momfunc,ytilde);  % the vector of moments on the simulated data

ghat = mhat - mtilde;  % the difference between the two vectors of moments
obj = ghat' * W * ghat;  % the SMM objective function
